package com.shanghaichengdi.ghjgitem.cache;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.connection.RedisConnectionFactory;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.serializer.StringRedisSerializer;

/**
 * @author gengaoliu
 */
@Configuration
@Data
public class RedisConfig {
  @Value("${cache.timeout}")
  private Integer timeOut;

  @Bean
  public RedisTemplate<String, Object> overrideSerializer(RedisConnectionFactory factory) {
    RedisTemplate<String, Object> redisTemplate = new RedisTemplate<>();
    redisTemplate.setConnectionFactory(factory);
    redisTemplate.setEnableTransactionSupport(false);

    StringRedisSerializer keySerializer = new StringRedisSerializer();
    redisTemplate.setKeySerializer(keySerializer);
    redisTemplate.setHashKeySerializer(keySerializer);

    ProtostuffSerializer valueSerializer = new ProtostuffSerializer();
    redisTemplate.setValueSerializer(valueSerializer);
    redisTemplate.setHashValueSerializer(valueSerializer);
    return redisTemplate;
  }
}
