package com.shanghaichengdi.ghjgitem.controller.model.res;

import com.shanghaichengdi.ghjgitem.vo.BoatInfoVo;
import java.util.Optional;
import lombok.Builder;
import lombok.Data;

/**
 * @author lag
 */
@Data
@Builder
public class BoatInfoVoRes {
  String boatName;
  String mmsi;
  String owner;
  String phone;
  String typeName;
  String length;
  String breadth;
  String zd;

  public static BoatInfoVoRes from(BoatInfoVo vo) {
    return BoatInfoVoRes.builder()
        .boatName(vo.getBoatName())
        .mmsi(vo.getBoatName())
        .owner(vo.getOwner())
        .typeName(vo.getTypeName())
        .length(Optional.ofNullable(String.valueOf(vo.getLength())).orElse("0.00") + "(米)")
        .breadth(Optional.ofNullable(String.valueOf(vo.getBreadth())).orElse("0.00") + "(米)")
        .zd(Optional.ofNullable(String.valueOf(vo.getZd())).orElse("0.00"))
        .build();
  }
}
