package com.shanghaichengdi.ghjgitem.domain;

import java.util.Arrays;
import lombok.Getter;
import lombok.Setter;

/**
 * @author lag
 */
@Getter
public enum BayonetDeviceUseState {
  /** 卡口设备使用状态 */
  USING("1", "使用中"),
  IN_WAREHOUSE("2", "在库"),
  SCRAP("3", "报废");
  @Setter private final String value;
  @Setter private final String description;

  BayonetDeviceUseState(String value, String description) {
    this.value = value;
    this.description = description;
  }

  public static BayonetDeviceUseState getByValue(String value) {
    return Arrays.stream(BayonetDeviceUseState.values())
        .filter(action -> action.getValue().equals(value.toLowerCase()))
        .findFirst()
        .orElse(null);
  }
}
