package com.shanghaichengdi.ghjgitem.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.List;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.stereotype.Component;

@Component
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_BASICS.HK_MONITOR_SYSTEMS")
public class HikangArea extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 当前节点ID
     */
    @TableId("INDEX_CODE")
    private String indexCode;

    /**
     * 当前节点名称
     */
    @TableField("NAME")
    private String name;

    /**
     * 父节点ID
     */
    @TableField("PARENT_INDEX_CODE")
    private String parentIndexCode;

    /**
     * 层级
     */
    @TableField("PLIES")
    private Long plies;

    /**
     * 是否为最底层，0是；1不是
     */
    @TableField("FLAG")
    private Integer flag;

    /**
     * 树节点
     */
    @TableField("TREE_CODE")
    private String treeCode;

    /**
     * 监控数量
     */
    @TableField("CAMERA_COUNT")
    private String cameraCount;

    /**
     * 是否叶节点
     */
    @TableField("ON_LINE")
    private String onLine;

    /**
     * 在线数量
     */
    @TableField("CAMERA_ONLINE_COUNT")
    private Integer cameraOnlineCount;

    /**
     * 不在线数量
     */
    @TableField("CAMERA_OFF_LINE_COUNT")
    private Integer cameraOffLineCount;

    /**
     * 是否叶节点，0是；1不是
     */
    @TableField("IS_LEAF")
    private Long isLeaf;

    private List<HikangArea> children;

}