package com.shanghaichengdi.ghjgitem.domain;


import java.util.ArrayList;
import java.util.List;

/**
 * @author gengaoliu
 */
public class HikangAreaTree {

    public List<HikangArea> nodeList = new ArrayList<>();

    public HikangAreaTree(List<HikangArea> nodeList){
        this.nodeList = nodeList;
    }

    /**
     * 获取根节点
     * @return 根节点
     */
    public List<HikangArea> getRootNode(){
        List<HikangArea> rootNodeList = new ArrayList<>();
        for(HikangArea treeNode : nodeList) {
            if ("-1".equals(treeNode.getParentIndexCode())) {
                rootNodeList.add(treeNode);
            }
        }
        return rootNodeList;
    }

    /**
     * 构建子树
     */
    public HikangArea buildChildTree(HikangArea rootNode){
        List<HikangArea> childTree = new ArrayList<>();
        for (HikangArea treeNode : nodeList){
            if (treeNode.getParentIndexCode().equals(rootNode.getIndexCode())){
                childTree.add(buildChildTree(treeNode));
            }
            rootNode.setChildren(childTree);
        }
        return rootNode;
    }


    /**
     * 根据根节点创建树形结构
     */
    public List<HikangArea> buildTree(){
        List<HikangArea> treeNodeList = new ArrayList<>();
        for(HikangArea treeNode : getRootNode()) {
            treeNode = buildChildTree(treeNode);
            treeNodeList.add(treeNode);
        }
        return  treeNodeList;
    }


}