package com.shanghaichengdi.ghjgitem.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.stereotype.Component;

@Component
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_BASICS.HK_MONITOR_SYSTEMS_DETAIL")
public class HikangVideo extends BaseEntity implements Serializable {

  private static final long serialVersionUID = 1L;

  /** 父节点 */
  @TableField("REGION_INDEX_CODE")
  private String regionIndexCode;

  /** 海拔 */
  @TableField("ALTITUDE")
  private String altitude;

  /** 当前监控点Id */
  @TableId("CAMERA_INDEX_CODE")
  private String cameraIndexCode;

  /** 监控点名称 */
  @TableField("CAMERA_NAME")
  private String cameraName;

  /** 监控点类型 */
  @TableField("CAMERA_TYPE")
  private Long cameraType;

  /** 监控点类型说明 */
  @TableField("CAMERA_TYPE_NAME")
  private String cameraTypeName;

  /** 能力集 */
  @TableField("CAPABILITY_SET")
  private String capabilitySet;

  /** 能力集说明 */
  @TableField("CAPABILITY_SET_NAME")
  private String capabilitySetName;

  /** 智能分析能力集 */
  @TableField("INTELLIGENT_SET")
  private String intelligentSet;

  /** 智能分析能力集说明 */
  @TableField("INTELLIGENT_SET_NAME")
  private String intelligentSetName;

  /** 通道编号 */
  @TableField("CHANNEL_NO")
  private String channelNo;

  /** 通道类型 */
  @TableField("CHANNEL_TYPE")
  private String channelType;

  /** 通道子类型说明 */
  @TableField("CHANNEL_TYPE_NAME")
  private String channelTypeName;

  /** 创建时间 */
  @TableField("CREATE_TIME")
  @JsonFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
  @DateTimeFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
  private Date createTime;

  /** 所属编码设备唯一标识 */
  @TableField("ENCODE_DEV_INDEX_CODE")
  private String encodeDevIndexCode;

  /** 所属设备类型 */
  @TableField("ENCODE_DEV_RESOURCE_TYPE")
  private String encodeDevResourceType;

  /** 所属设备类型说明 */
  @TableField("ENCODE_DEV_RESOURCE_TYPE_NAME")
  private String encodeDevResourceTypeName;

  /** 监控点国标编号 */
  @TableField("GB_INDEX_CODE")
  private String gbIndexCode;

  /** 安装位置 */
  @TableField("INSTALL_LOCATION")
  private String installLocation;

  /** 键盘控制码 */
  @TableField("KEY_BOARD_CODE")
  private String keyBoardCode;

  /** 纬度 */
  @TableField("LATITUDE")
  private String latitude;

  /** 经度 */
  @TableField("LONGITUDE")
  private String longitude;

  /** 摄像机像素（1-普通像素，2-130万高清，3-200万高清，4-300万高清） */
  @TableField("PIXEL")
  private Long pixel;

  /** 云镜类型（1-全方位云台（带转动和变焦），2-只有变焦,不带转动，3-只有转动，不带变焦，4-无云台，无变焦） */
  @TableField("PTZ")
  private Long ptz;

  /** 云镜类型说明 */
  @TableField("PTZ_NAME")
  private String ptzName;

  /** 云台控制(1-DVR，2-模拟矩阵，3-MU4000，4-NC600) */
  @TableField("PTZ_CONTROLLER")
  private Long ptzController;

  /** 云台控制说明 */
  @TableField("PTZ_CONTROLLER_NAME")
  private String ptzControllerName;

  /** 录像存储位置 */
  @TableField("RECORD_LOCATION")
  private String recordLocation;

  /** 录像存储位置说明 */
  @TableField("RECORD_LOCATION_NAME")
  private String recordLocationName;

  /** 在线状态（0-未知，1-在线，2-离线） */
  @TableField("STATUS")
  private Long status;

  /** 状态说明 */
  @TableField("STATUS_NAME")
  private String statusName;

  /** 传输协议 */
  @TableField("TRANS_TYPE")
  private Long transType;

  /** 传输协议类型说明 */
  @TableField("TRANS_TYPE_NAME")
  private String transTypeName;

  /** 接入协议 */
  @TableField("TREATY_TYPE")
  private String treatyType;

  /** 接入协议类型说明 */
  @TableField("TREATY_TYPE_NAME")
  private String treatyTypeName;

  /** 可视化相关 */
  @TableField("VIEWSHED")
  private String viewshed;

  /** 更新时间 */
  @TableField("UPDATE_TIME")
  @JsonFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
  @DateTimeFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
  private Date updateTime;
}
