package com.shanghaichengdi.ghjgitem.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.shanghaichengdi.ghjgitem.vo.enterpriseVo;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业用户
 * </p>
 *
 * @author ou
 * @since 2022-06-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_BASICS.SYS_BUSINESS_USER")
public class SysBusinessUser extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;
    @TableField(exist = false)
    private Integer childrenType;
    @TableField(exist = false)
    enterpriseVo enterprise;
    //    操作人用户id
    @TableField(exist = false)
    private String touserid;
    @TableField(exist = false)
    private String accountName;
    @TableField(exist = false)
    private String treeId;
    @TableField(exist = false)
    private String authInfoCode;

    /**
     * 企业id
     */
    @TableField("ENTERPRISE_ID")
    private String enterpriseId;

    /**
     * 企业名称
     */
    @TableField("ENTERPRISE_NAME")
    private String enterpriseName;
    @TableField("CERT_NUMBER")
    private String certNumber;

    /**
     * 申报员姓名
     */
    @TableField("APPLY_PERSON")
    private String applyPerson;

    /**
     * 用户名
     */
    @TableField("USER_NAME")
    private String userName;

    /**
     * 用户密码
     */
    @TableField("USER_PASSWORD")
    private String userPassword;
    @TableField(exist = false)
    private String oldUserPassword;

    /**
     * 紧急联系人
     */
    @TableField("EMERGENT_PERSON")
    private String emergentPerson;

    /**
     * 紧急联系电话
     */
    @TableField("EMERGENT_PHONE")
    private String emergentPhone;

    /**
     * 新增人
     */
    @TableField("ADD_OPERATION")
    private String addOperation;

    /**
     * 新增时间
     */
    @TableField("ADD_TIME")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date addTime;

    /**
     * 用户锁定时间
     */
    @TableField("LOCK_DATE")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date lockDate;

    /**
     * 修改人
     */
    @TableField("UPDATE_OPERATION")
    private String updateOperation;
    @TableField(exist = false)
    private String addoperationva;
    @TableField(exist = false)
    private String updateoperationva;

    /**
     * 修改时间
     */
    @TableField("UPDATE_TIME")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 是否删除  0未删除  1删除
     */
    @TableField("IS_REMOVE")
    private BigDecimal isRemove;
    @TableField(exist = false)
    private String isRemoveva;

    @TableField("TOKEN")
    private String token;

    /**
     * 1被锁定 0未锁定
     */
    @TableField("IS_LOCK")
    private BigDecimal isLock;
    @TableField(exist = false)
    private String isLockva;

    /**
     * 用户联系电话
     */
    @TableField("USER_PHONE")
    private String userPhone;

    /**
     * 企业类型企业类型 1:经营单位 2:贷代 3:港区道口
     */
    @TableField("ENTERPRISE_TYPE")
    private BigDecimal enterpriseType;
    @TableField(exist = false)
    private String enterpriseTypeva;
}
