package com.shanghaichengdi.ghjgitem.service.impl;


import com.github.pagehelper.PageHelper;
import com.shanghaichengdi.ghjgitem.domain.Video;
import com.shanghaichengdi.ghjgitem.domain.WarningType;
import com.shanghaichengdi.ghjgitem.mapper.AccidentPreWarningMapper;
import com.shanghaichengdi.ghjgitem.service.IAccidentPreWarningService;
import com.shanghaichengdi.ghjgitem.vo.*;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.Optional;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author gengaoliu
 */
@Service
public class AccidentPreWarningServiceImpl implements IAccidentPreWarningService {
  @Resource
  AccidentPreWarningMapper mapper;

  @Override
  public List<WarningType> getWarningType() {
    return mapper.selectList(null);
  }

  @Override
  public List<AccidentPreWarningVo> getAllPage(Map<String, Object> info) {
    PageHelper.startPage((int) info.get("current"), (int) info.get("size"));
    return mapper.getAllPage(info);
  }

  @Override
  public Optional<BoatInfoDetailsVo> getBoatDetails(String boatName) {
    Objects.requireNonNull(boatName, "boatName cannot be null!");
    return Optional.ofNullable(mapper.getBoatDetails(boatName));
  }

  @Override
  public Optional<WarnningDetailsVo> getWarnDetails(String warnCode) {
    Objects.requireNonNull(warnCode, "warnCode cannot be null!");
    return Optional.ofNullable(mapper.getWarnDetails(warnCode));
  }

  @Override
  public Optional<Video> getPicTureByCode(String warnCode) {
    Objects.requireNonNull(warnCode, "warnCode cannot be null!");
    return Optional.ofNullable(mapper.getPicTureByCode(warnCode));
  }

  @Override
  public List<BoatReportVo> getReportDetails(String boatName) {
    Objects.requireNonNull(boatName, "boatName cannot be null!");
    return mapper.getReportDetails(boatName);
  }

  @Override
  public Optional<SBYJReportDetailVo> getSBYJReportDetails(String reportId) {
    Objects.requireNonNull(reportId, "reportId cannot be null!");
    return Optional.ofNullable(mapper.getSBYJReportDetails(reportId));
  }

  @Override
  public List<SBYJEepReportDetailVo> getSBYJEepReportDetails(String reportId) {
    Objects.requireNonNull(reportId, "reportId cannot be null!");
    return mapper.getSBYJEepReportDetails(reportId);
  }
}
