package com.shanghaichengdi.ghjgitem.service.impl;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.shanghaichengdi.ghjgitem.controller.model.res.ReturnMsg;
import com.shanghaichengdi.ghjgitem.domain.HikangArea;
import com.shanghaichengdi.ghjgitem.domain.HikangAreaTree;
import com.shanghaichengdi.ghjgitem.mapper.HikangAreaMapper;
import com.shanghaichengdi.ghjgitem.service.HikangAreaService;
import java.util.ArrayList;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author gengaoliu
 */
@Service
public class HikangAreaServiceImpl implements HikangAreaService {

    @Autowired
    HikangAreaMapper hikangAreaMapper;

    /**
     * 获取区域信息树形结构
     * @return
     */
    @Override
    public String getAreaList(){
        try {
            List<HikangArea> areaList = new ArrayList<>(3);
            areaList.addAll(mockData());
            if(!areaList.isEmpty()){
                HikangAreaTree areaTree = new HikangAreaTree(areaList);
                List<HikangArea> areaListTree = areaTree.buildTree();
                JSONArray areaListJSON = JSONArray.parseArray(JSON.toJSONString(areaListTree));
                return ReturnMsg.returnMsgForList("_200",areaListJSON,areaListJSON.size(),100);

            }
      return ReturnMsg.returnMsgNew("查询数据为空");
        }catch (Exception e){
            e.printStackTrace();
            return ReturnMsg.returnErrorMsgNew(e.getMessage());
        }

    };
private List<HikangArea> mockData() {
        List<HikangArea> data = new ArrayList<>();
        HikangArea area = new HikangArea();
        area.setIndexCode("68e60a65716c4e14af2decc4b583147911");
        area.setName("长湖申线");
        area.setParentIndexCode("-1");
        area.setPlies(1l);
        area.setFlag(0);
        area.setTreeCode("1");
        area.setCameraCount("2");
        area.setOnLine("1");
        area.setCameraOnlineCount(2);
        area.setCameraOffLineCount(0);
        area.setIsLeaf(1l);

        HikangArea area1 = new HikangArea();
        area1.setIndexCode("d2d62af8c7134db8a02cb98131426ce4");
        area1.setName("摄像头X");
        area1.setParentIndexCode("68e60a65716c4e14af2decc4b583147911");
        area1.setPlies(1l);
        area1.setFlag(1);
        area1.setTreeCode("0");
        area1.setCameraCount("1");
        area1.setOnLine("1");
        area1.setCameraOnlineCount(1);
        area1.setCameraOffLineCount(0);
        area1.setIsLeaf(0l);
        data.add(area);
        data.add(area1);

        HikangArea area2 = new HikangArea();
        area2.setIndexCode("ce20dd0112d1400fb5e191ae371b7bb6");
        area2.setName("摄像头Y");
        area2.setParentIndexCode("68e60a65716c4e14af2decc4b583147911");
        area2.setPlies(1l);
        area2.setFlag(1);
        area2.setTreeCode("0");
        area2.setCameraCount("1");
        area2.setOnLine("1");
        area2.setCameraOnlineCount(1);
        area2.setCameraOffLineCount(0);
        area2.setIsLeaf(0l);
         data.add(area2);



        return data;
    }




}