package com.shanghaichengdi.ghjgitem.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.shanghaichengdi.ghjgitem.controller.model.res.ReturnMsg;
import com.shanghaichengdi.ghjgitem.domain.HikangVideo;
import com.shanghaichengdi.ghjgitem.mapper.HikangVideoMapper;
import com.shanghaichengdi.ghjgitem.service.HikangVideoService;
import com.shanghaigeography.entity.ResultMsg;
import com.shanghaigeography.eum.ResultState;
import java.util.List;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author gengaoliu
 */
@Service
public class HikangVideoServiceImpl implements HikangVideoService {

  @Autowired HikangVideoMapper hikangVideoMapper;

  /**
   * 返回ip,ak,secret
   *
   * @return
   */
  @Override
  public String getVideoSetting() {
    //        if (StringUtils.isNotEmpty(hikangIp) && StringUtils.isNotEmpty(hikangAppKey) &&
    // StringUtils.isNotEmpty(hikangAppSecret))
    //        {
    //            String[] iphik=hikangIp.split(":");
    //            HikangInit init =
    // HikangInit.builder().ip(iphik[0]).port(Integer.parseInt(iphik[1])).appKey(Integer.parseInt(hikangAppKey)).secret(hikangAppSecret).build();
    //            return new
    // ResultMsg<String>().setCode(ResultState.SUCCESS).setData(JSONObject.toJSONString(init)).toJSON();
    //        }
    return new ResultMsg<String>().setCode(ResultState.SUCCESS).toJSON();
  }

  /**
   * 根据区域编号获取监控点信息
   *
   * @param regionIndexCode
   * @return
   */
  @Override
  public String getVideoList(String regionIndexCode) {
    try {
      if (StringUtils.isNotEmpty(regionIndexCode)) {
        List<HikangVideo> hikangVideoList =
            hikangVideoMapper.selectByRegionIndexCode(regionIndexCode);
        JSONArray areaListJSON = JSONArray.parseArray(JSON.toJSONString(hikangVideoList));
        return ReturnMsg.returnMsgForList("_200", areaListJSON, areaListJSON.size(), 100);
      }
      return ReturnMsg.returnMsgNew("查询数据为空");
    } catch (Exception e) {
      e.printStackTrace();
      return ReturnMsg.returnErrorMsgNew(e.getMessage());
    }
  }
}
