package com.shanghaichengdi.ghjgitem.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.shanghaichengdi.ghjgitem.domain.Video;
import com.shanghaichengdi.ghjgitem.mapper.OffSiteEnforcementMapper;
import com.shanghaichengdi.ghjgitem.service.IOffSiteEnforcementService;
import com.shanghaichengdi.ghjgitem.vo.OffSiteEnforcementVo;
import com.shanghaigeography.entity.ResultMsg;
import com.shanghaigeography.eum.ResultState;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.Optional;
import java.util.stream.Collectors;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author gengaoliu
 */
@Service
public class OffSiteEnforcementServiceImpl implements IOffSiteEnforcementService {

  @Resource
  OffSiteEnforcementMapper mapper;

  @Override
  public List<OffSiteEnforcementVo> getAllPage(Map<String, Object> info) {
    PageHelper.startPage((int) info.get("current"), (int) info.get("size"));
    return mapper.getAllPage(info);
  }

  @Override
  public String getPicture(String warnCode) {
    Optional<Video> videoOptional = Optional.ofNullable(mapper.getPicture(warnCode));
    if (!videoOptional.isPresent()) {
      return new ResultMsg<String>()
          .setCode(ResultState.ERROR_NEEDDATA)
          .setMsg("该船舶没有对应的图片信息")
          .toJSON();
    }
    String photoName = videoOptional.get().getPhotoname();
    String[] split = photoName.split(";");
    List<String> photoUrl = Arrays.stream(split).collect(Collectors.toList());
    return new ResultMsg<String>()
        .setCode(ResultState.SUCCESS)
        .setData(JSONObject.toJSONString(photoUrl))
        .toJSON();
  }
}
